This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 622927 - F14 Alpha RC2 - /etc/resolv.conf gets corrupted, cannot download packages
F14 Alpha RC2 - /etc/resolv.conf gets corrupted, cannot download packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F14Beta/F14BetaBlocker
  Show dependency treegraph
 
Reported: 2010-08-10 15:55 EDT by Orion Poplawski
Modified: 2011-03-15 14:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-14.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 16:01:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (12.01 KB, text/plain)
2010-08-10 15:55 EDT, Orion Poplawski
no flags Details
kickstart file (12.39 KB, text/plain)
2010-08-10 23:25 EDT, Orion Poplawski
no flags Details
ifcfg.log (2.74 KB, text/plain)
2010-08-11 10:59 EDT, Orion Poplawski
no flags Details
syslog (67.10 KB, text/plain)
2010-08-11 10:59 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2010-08-10 15:55:12 EDT
Created attachment 437985 [details]
anaconda.log

Description of problem:

Doing a PXE/kickstart install of F14 Alpha RC2, /etc/resolv.conf get corrupted to only contain:

search cora.nwra.com

At which point it cannot download any packages.

Using tail -f it appears that it occurs between these two events:

13:50:59,054 DEBUG anaconda: isys.py:mount()- going to mount /proc/bus/usb on /mnt/sysimage/proc/bus/usb as usbfs with options defaults

13:50:59,189 INFO anaconda: leaving (1) step preinstallconfig
  
Version-Release number of selected component (if applicable):
14.15

How reproducible:
Every time
Comment 1 Brian Lane 2010-08-10 19:55:34 EDT
Could you also attach your kickstart file?
Comment 2 Orion Poplawski 2010-08-10 23:25:26 EDT
Created attachment 438069 [details]
kickstart file
Comment 3 Radek Vykydal 2010-08-11 05:03:07 EDT
Indeed, we are (re)writing out /etc/resolv.conf in preinstallconfig step. What should your correct file look like (what is its content before corrupting in the step)?
Could you also post /tmp/ifcfg.log and /tmp/syslog log files?
Comment 4 Orion Poplawski 2010-08-11 10:59:07 EDT
Created attachment 438210 [details]
ifcfg.log

The prior working /etc/resolv.conf contains:

# Generated by NetworkManager
domain cora.nwra.com
search cora.nwra.com
nameserver 192.168.0.8
nameserver 192.168.0.12
Comment 5 Orion Poplawski 2010-08-11 10:59:26 EDT
Created attachment 438211 [details]
syslog
Comment 6 Radek Vykydal 2010-08-16 12:58:36 EDT
Thanks for the report.

Only NetworkManager should touch /etc/resolv.conf. Anaconda does it when hostname (not containing any dots) is set in UI or kickstart and socket.getfqdn() finds fqdn for it. It leads e.g. to name servers obtained via DHCP missing in anaconda-generated resolv.conf.

I am going to send a patch.
Comment 7 Radek Vykydal 2010-08-18 08:59:20 EDT
Fixed in rawhide, will go to anaconda-15.0-1. I want to propose it for F14.
Comment 8 Radek Vykydal 2010-08-24 11:37:57 EDT
This should be fixed in anaconda-14.17-1 (F14 Beta).
Comment 9 Orion Poplawski 2010-08-26 15:24:46 EDT
How soon we will have images built with this that I can test?  Thanks.
Comment 10 Adam Williamson 2010-08-27 12:31:13 EDT
Discussed at today's blocker bug review meeting. We decided not to worry too much about categorizing this as it should be fixed soon anyway, so we will accept it in the expectation it will be closed soon.
Comment 11 Adam Williamson 2010-09-14 14:24:17 EDT
orion, the fix for this should be in TC1: can you please test and confirm?
Comment 12 Orion Poplawski 2010-09-14 15:26:27 EDT
Yup, fixed there.
Comment 13 Adam Williamson 2010-09-14 16:01:02 EDT
excellent, thanks.

Note You need to log in before you can comment on or make changes to this bug.